Package Details: surge-complete 1.7.1-1

Git Clone URL: https://aur.archlinux.org/surge-complete.git (read-only, click to copy)
Package Base: surge-complete
Description: Surge Synthesizer for all possible plugin types (LV2/VST2/VST3)
Upstream URL: https://surge-synthesizer.github.io/
Keywords: audio lv2 midi mpe music plugin synth synthesizer vst vst2 vst3
Licenses: GPL3
Groups: lv2-plugins, vst-plugins, pro-audio, vst3-plugins
Conflicts: surge, surge-synthesizer
Provides: surge
Submitter: osch
Maintainer: osch
Last Packager: osch
Votes: 1
Popularity: 0.30
First Submitted: 2020-08-03 08:32
Last Updated: 2020-09-04 10:09

Latest Comments

osch commented on 2020-09-04 10:12

I tried to fix it. Could you try building again with current PKGBUILD?

DYSEQTA commented on 2020-09-04 05:17

Build failing (version 1.7.1-1)

Scanning dependencies of target git-info
-- Found Git: /usr/bin/git (found version "2.28.0") 
fatal: not a git repository (or any parent up to mount point /)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
fatal: not a git repository (or any parent up to mount point /)
Stopping at filesystem boundary (GIT_DISCOVERY_ACROSS_FILESYSTEM not set).
-- Setting up surge version
--   git hash is  and branch is 
--   buildhost is [REDACTED]
--   buildarch is x86_64
-- Developer Local Build
CMake Error at cmake/versiontools.cmake:49 (if):
  if given arguments:

    "STREQUAL" "main"

  Unknown arguments specified


make[3]: *** [CMakeFiles/git-info.dir/build.make:76: CMakeFiles/git-info] Error 1
make[2]: *** [CMakeFiles/Makefile2:305: CMakeFiles/git-info.dir/all] Error 2
make[1]: *** [CMakeFiles/Makefile2:172: CMakeFiles/Surge-VST2-Packaged.dir/rule] Error 2
make: *** [Makefile:163: Surge-VST2-Packaged] Error 2

** Build of Surge-VST2-Packaged failed**
==> ERROR: A failure occurred in build().
    Aborting...